import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTaMessage = (params) => request('/api/taMessage', { params });

/*
 * 新增数据
 */
export const postTaMessage = (data) => request('/api/taMessage', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
export const getTaMessageById = (id) => request(`/api/taMessage/${id}`);

/**
 * 更新数据
 * @param {*} id
 * @param {*} data
 * @returns
 */
export const putTaMessage = (id, data) => request(`/api/taMessage/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaMessage = (id) => request(`/api/taMessage/${id}`, { method: 'delete' });
